org.eclipse.ease.modules.unittest.reporters

## Class JUnitReportGenerator

- java.lang.Object
- - org.eclipse.ease.modules.unittest.reporters.JUnitReportGenerator

All Implemented Interfaces:
  IReportGenerator

    public final class JUnitReportGenerator
    extends Object
    implements IReportGenerator

Creates reports of unit test results.

### Constructor Summary

Constructors
Constructor and Description
`JUnitReportGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `createReport(String title, String description, TestSuite testSuite)` Creates report data as string.
`String` `getDefaultExtension()` Returns the default file extension to be used for this kind of report without the preceeding dot (eg "txt").

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JUnitReportGenerator

    public JUnitReportGenerator()

### Method Detail

#### createReport

    public String createReport(String title,
                               String description,
                               TestSuite testSuite)

Description copied from interface: `IReportGenerator`
Creates report data as string.

Specified by:
  `createReport` in interface `IReportGenerator`
Parameters:
  `title` - report title
  `description` - generic description
  `testSuite` - testuite data to be exported
Returns:
  String containing full test report

#### getDefaultExtension

    public String getDefaultExtension()

Description copied from interface: `IReportGenerator`
Returns the default file extension to be used for this kind of report without the preceeding dot (eg "txt").

Specified by:
  `getDefaultExtension` in interface `IReportGenerator`
Returns:
  file extension to be used